2013-09-23  Alan Modra  <amodra@gmail.com>

	* Makefile.in: Regenerate.

2013-09-22  Alan Modra  <amodra@gmail.com>

	* angel.h (arm_angel::~arm_angel): New.
	* m32r.h (m32r_libgloss::~m32r_libgloss): New.
	* mips.h (mips32_idt::~mips32_idt): New.

2007-11-07  Dave Brolley  <brolley@redhat.com>

	* libgloss.h (libgloss::SYS_reconfig): Value to changed to match the new
	value in libgloss/syscall.h.

2007-11-06  Dave Brolley  <brolley@redhat.com>

	* gloss.cxx (target_to_host_syscall): Map syscall 0 to SYS_reconfig for
	MeP.

2006-10-18  Dave Brolley  <brolley@redhat.com>

	* Contribute the following changes:

	2006-05-11  Dave Brolley  <brolley@redhat.com>

	* gloss.cxx (sh_compact.h): #include it.
	(sh_media.h): #include it.
	(target_to_host_syscall): Handle "sh-compact" and "sh-media".
	* sh_compact.h: New header.
	* sh_media.h: New header.

2006-07-14  Dave Brolley  <brolley@redhat.com>

	* gloss.h (rx_eof_pin): New member of gloss32.
	* gloss.cxx (gloss32): Add debug-rx-eof pin.
	(read): Check rx_eof_pin.

2005-12-16  Nathan Sidwell  <nathan@codesourcery.com>

	Second part of ms1 to mt renaming.
	* Makefile.in: Rebuilt.

2005-08-19  Dave Brolley  <brolley@redhat.com>

	* Contribute the following changes:

	2005-07-13  Dave Brolley  <brolley@redhat.com>

	* gloss.cxx (gloss32): Initialize dynamic_configurator. Add
	dynamic-configurator relation.
	* gloss.h (gloss32): Inherit virtually from
	fixed_attribute_map_component.
	(dynamic_configurator): New member of gloss32.

	2005-07-05  Dave Brolley  <brolley@redhat.com>

	* gloss.cxx (start_config): Removed from gloss32.
	(gloss32): Remove "start-config" attribute. Add "config-error"
	pin.
	(reset): Don't call sys_config_set.
	(sys_reconfig_set): Call set_error_result based on the value driven on
	config_error_pin.
	(sys_reconfig_reset): Likewise.
	* gloss.h (start_config): Removed from gloss32.
	(config_error_pin): New member of gloss32.

	2005-06-06  Dave Brolley  <brolley@redhat.com>

	* gloss.cxx (gloss32): Don't initialize dynamic_configurator.
	Don't add dynamic-configurator relation.
	(configure_pin): Renamed to sys_configure_pin.
	(configure): New virtual override in gloss32.
	(do_sys_reconfig): Print log messages to cerr and only when
	verbose_p.
	* gloss.h (gloss32): fixed_pin_map_component and configurable_component
	inherited virtually.
	(dynamic_configurator): Removed.
	(configure_pin): Renamed to sys_configure_pin.
	(configure): New virtual override in gloss32.

	2005-05-29  Dave Brolley  <brolley@redhat.com>

	* libgloss.h (SYS_reconfig): New enumerator.
	* gloss.h (main, dynamic_configurator): New members of gloss32.
	(configure_pin, config_result_pin, start_config): Likewise.
	(sys_reconfig_set): New method of gloss32.
	(sys_reconfig_reset, do_sys_reconfig): Likewise.
	* gloss.cxx (gloss32): Initialize main, dynamic_configurator and
	start_config. Add relations main, dynamic-configurator. Add
	configure pin. Add start-config addtribute. Add config-result
	pin.
	(reset): Call sys_reconfig_set with start_config if it's not
	empty.
	(syscall_trap): Handle SYS_reconfig.
	(sys_reconfig_set): New method of gloss32.
	(sys_reconfig_reset, do_sys_reconfig): Likewise.

2005-06-03  Jim Blandy  <jimb@redhat.com>

	* Makefile.in: Regenerated with Automake 1.9.5.

2002-11-22  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.cxx (get_string): Correct formal arg list.

2002-09-05  Ben Elliston  <bje@redhat.com>

	* gloss.h: Specify std:: namespace where necessary.
	* gloss.cxx: Likewise.

2002-06-03  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx (gloss32::gloss32): Add "state-snapshot" attribute.
	Also Add new attribute "exit-code" which points to the exit code.
	Set initial value to 0.
	(gloss32::setup_fds): New method that sets up fds.
	(gloss32::reset): Code moved to setup_fds.  New code is call to
	setup_fds(). Set initial exit code to 0.
	(gloss32::stream_state): New method to save state.
	(gloss32::destream_state): New method to restore state.
	(gloss32::do_sys_exit): Set exit_code with
	exit value.
	(operator <<, operator >>): New functions to stream/destream
	gloss32.
	* gloss.h (gloss32): Add setup_fds, stream_state, and destream_state
	prototypes as well as declaring operator << and operator >> friends.
	(gloss32::exit_code): New variable.

2002-05-30  Frank Ch. Eigler  <fche@redhat.com>

	* m32r.cxx (syscall_trap): Pass exit rc to cfgroot.

2002-02-06  Ben Elliston  <bje@redhat.com>

	* angel.cxx (arm_angel): Initialise command_line correctly.
	(do_get_cmdline): Use get_command_line().

2002-01-25  Ben Elliston  <bje@redhat.com>

	* libgloss.h (libgloss::SYS_argc): New enumerator.
	(libgloss::SYS_argnlen, libgloss::SYS_argn): Likewise.
	(libgloss::SYS_unsupported): Raise its value.
	* gloss.cxx (gloss32::gloss32): Virtualise "command-line".
	(gloss32::get_command_line): New method.
	(gloss32::set_command_line): Likewise.
	(gloss32::set_string [string&]): Call char* version.
	(gloss32::set_string [char*]): Implement.
	(gloss32::syscall_trap): Handle SYS_argc, SYS_argn, SYS_argnlen.
	(gloss32::do_sys_argc): New method.
	(gloss32::do_sys_argn): Likewise.
	(gloss32::do_sys_argnlen): Likewise.
	* gloss.h (gloss32::set_string): New method which has a length
	parameter for binary data and null-terminated strings.
	(gloss32::do_sys_argc): Declare.
	(gloss32::do_sys_argn): Likewise.
	(gloss32::do_sys_argnlen): Likewise.
	(gloss32::command_line): Change type to vector<string>.
	(gloss32::get_command_line): New virtual attribute callback.
	(gloss32::set_command_line): Likewise.

2001-11-30  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.cxx (write): Add missing ios:: namespace prefix.

2001-10-26  Vladimir Makarov  <vmakarov@redhat.com>

	* gloss.h (gloss32::do_sys_unlink): New function.

	* gloss.cxx (gloss32::syscall_trap): Add processing SYS_unlink.
	(gloss32::do_sys_unlink): New function.
	(gloss32::do_sys_exit): Add breaks after each case.
	(gloss32::do_sys_lseek): Set up correct results.

2001-10-10  Frank Ch. Eigler  <fche@redhat.com>

	On advice of Keith Rautenbach <Keith.Rautenbach@insignia.com>:
	* angel.h (syscalls): Correct read<->readc, elaborate.

2001-09-26  Ben Elliston  <bje@redhat.com>

	* gloss.h (gloss32::get_string): Give length parameter a default
	of 0, in which case memory is read until a NUL is reached.
	* gloss.cxx (gloss32::get_string): Handle both fixed length and
	NUL-terminated strings.
	(gloss32::write): Improve verbose message.
	(gloss32::do_sys_open): Improve failure mode for get_string().

2001-09-24  Ben Elliston  <bje@redhat.com>

	* gloss.cxx (do_sys_fstat): Clear error result on success.

2001-09-04  Ben Elliston  <bje@redhat.com>

	* gloss.h (do_sys_fstat): Declare.
	(gloss32::get_halfword): Likewise.
	(gloss32::set_halfword): Likewise.
	* gloss.cxx (gloss32::syscall_trap): Handle libgloss::SYS_fstat.
	(gloss32::get_halfword): New method.
	(gloss32::set_halfword): Likewise.
	(gloss32::do_sys_fstat): Likewise.

2001-08-31  Ben Elliston  <bje@redhat.com>

	* sw-gloss-arm_angel.txt: Regenerate.

2001-08-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gloss.cxx: Add syscall-numbering-scheme setting.
	* libcygmon.h: New file.  It contains cygmon syscall numbers.
	* sw-gloss-arm_angel.xml: Add syscall-numbering-scheme documentation.

2001-08-12  Richard Henderson  <rth@redhat.com>

	* gloss.cxx (gloss32::read): Fix argument type mismatch for min.

2001-08-03  matthew green  <mrg@redhat.com>

	* gloss.cxx (~gloss32): Add throw() specifier.
	(gloss32::read): Use `std::min' not `min.'
	* gloss.h (~gloss32, ~gloss64): Add throw() specifier.

2001-07-13  Ben Elliston  <bje@redhat.com>

	* Makefile.am (check-local): Rename target from "checkme".

2001-07-11  Frank Ch. Eigler  <fche@redhat.com>

	* sw-gloss-arm_angel.xml: Add <?xml ... ?> prefix.

2001-07-04  graydon hoare  <graydon@redhat.com>

	* configure.in: Add maintainer-mode doc building configury.
	* configure: Regenerate.
	* Makefile.am: Add maintainer-mode doc building.
	* Makefile.in: Regenerate.

2001-07-04  Ben Elliston  <bje@redhat.com>

	* sw-gloss-arm_angel.txt: Generate.

2001-06-27  graydon hoare  <graydon@redhat.com>

	* sw-gloss-arm_angel.xml: Add.

2001-06-22  Ben Elliston  <bje@redhat.com>

	* gloss.cxx (gloss32::get_string): Ignore bus::delayed status.
	(gloss32::set_string): Likewise.
	(gloss32::get_word): Likewise.
	(gloss32::set_word): Likewise.

2001-04-18  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx (gloss32::reset): Move check for std streams into
	hostops::close.
	* hostops.cxx (hostops::close): Don't close host std streams.

2001-03-23  John Healy  <jhealy@redhat.com>

	* Makefile.in: Regenerated.

2001-01-26  Nicholas Duffek  <nsd@redhat.com>

	* gloss.cxx (gloss32::do_sys_exit): Pass exit value in bits 8..15
	of process exit signal.

2001-01-25  Nicholas Duffek  <nsd@redhat.com>

	* gloss.cxx (gloss32::do_sys_exit): Don't pass exit value in bits
	8..15 of process exit signal.

2001-01-24  Nicholas Duffek  <nsd@redhat.com>

	* gloss.cxx (gloss32::do_sys_exit): Pass exit value in bits 8..15
	of process exit signal.

2001-01-17  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx (gloss32::read): Change use_rx_p code to extract as much
	as possible from the rx buffer (up to the len requested)
	and to exit at the end of the main loop if any characters
	are successfully read.

2001-01-08  matthew green  <mrg@redhat.com>

	* gloss.cxx (do_sys_times): Set error value as well as return value
	if times() does not exist on the host.
	(do_sys_gettimeofday): Set error value as well as return value
	if gettimeofday() does not exist on the host.

2001-01-06  matthew green  <mrg@redhat.com>

	* gloss.cxx (gloss32::target_to_host_open_flags): Properly check for
	valid open() flags.

2001-01-04  matthew green  <mrg@redhat.com>

	* gloss.cxx (gloss32::target_to_host_open_flags): Properly deal with
	newlib open flags.
	Need <sys/time.h> for gettimeofday().  Only include <sys/times.h> if
	we have times().

2000-12-30  matthew green  <mrg@redhat.com>

	* gloss.cxx (do_sys_time): New function.
	(do_sys_times): Likewise.
	(do_sys_gettimeofday): Likewise.
	(syscall_trap): Call do_sys_time().  Call new do_sys_times() and
	do_sys_gettimeofday() for times() and gettimeofday(), respectively.
	* gloss.h (do_sys_time): Prototype.
	(do_sys_times): Likewise.
	(do_sys_gettimeofday): Likewise.
	* libgloss.h (libgloss_syscall): Add `times' and `gettimeofday'.

2000-11-21  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-10-08  Frank Ch. Eigler  <fche@redhat.com>

	* compGloss.cxx: Support "sw-gloss-generic/libgloss" in addition or
	instead of target-specific gloss type names.

2000-09-13  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx (get_int_argument): Fixed formation of
	argument string to use append method of string class.

2000-09-12  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx: Changed "gloss-x" attributes to drop the gloss
	prefix since it will be prepended anyway.

2000-08-25  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.cxx: #include more system headers.

2000-08-14  Jeff Johnston  <jjohnstn@redhat.com>

	* gloss.cxx (get_string): Added check for nul terminator
	for platforms that just want to specify the start of a
	C-style string.
	(set_host_error_result): New function.
	(target_to_host_syscall): New virtual method with default code.
	(do_nonstandard_target_syscalls): Ditto.
	(syscall_trap_p): Changed from abstract routine to virtual method
	with default implementation using "gloss-syscall-trap" attribute.
	(syscall_trap): Ditto except no attribute used.
	(get_int_argument): Ditto except using "gloss-syscall-arg" attribute.
	(set_int_result): Ditto except using "gloss-syscall-result" attribute.
	(set_error_result): Ditto except using "gloss-syscall-error" attribute.
	(host_to_target_errno): Ditto.
	(do_sys_exit): New method.
	(do_sys_read): Ditto.
	(do_sys_write): Ditto.
	(do_sys_lseek): Ditto.
	(do_sys_open): Ditto.
	(do_sys_close): Ditto.
	(target_to_host_open_flags): New method to support open syscall.
	* gloss.h (get_int_argument, set_int_result, set_error_result): Changed
	from abstract virtual methods to virtual methods for both gloss32
	and gloss64 classes.
	(syscall_trap_p, syscall_trap): Ditto.
	(do_sys_exit, do_sys_read, do_sys_write, do_sys_lseek): New methods.
	(do_sys_open, do_sys_close, target_to_host_open_flags): Ditto.
	(target_to_host_syscall, do_nonstandard_target_syscalls): Ditto.

2000-07-19  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-06-13  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.cxx (fault_trap): Correct message formatting.

2000-05-26  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.h: Import more std:: identifiers.
	* gloss.cxx: Ditto.
	(*): Use make_numeric_attribute() instead of hex<<value<<dec idiom.

2000-04-26  Frank Ch. Eigler  <fche@redhat.com>

	* gloss.cxx (fault_trap): s/sigBus/sigSegv/.
	* newlib.h (sig*): Correct and enlarge.

2000-04-24  Frank Ch. Eigler  <fche@redhat.com>

	* newlib.h (enum newlib): Add sigIll, sigTrap, sigBus, sigFpe.
	* gloss.cxx (trap_pin_handler): Pass trap unhandled by chain to
	generic local trap handler.
	(fault_trap): New generic handler.  Replaces:
	(invalid_insn_trap, memory_fault_trap): Removed.

2000-02-22  matthew green  <mrg@redhat.com>

	* gloss.cxx: string()ify the 2nd argument to add_attribute_ro_value().

2000-03-14  Frank Ch. Eigler  <fche@cygnus.com>

	* gloss.cx (gloss32 ctor): Eliminate "halt!" pin and handlers.
	(trap_pin_handler): Send reissue/skip trap disposition for
	blocked/completed syscalls.  Adopt new trap disposition codes.
	(memory_fault_trap, invalid_insn_trap): Return skip disposition.
	(read): Signal blockedness with halted_p flag, not via halt! pin.
	* gloss.h: Corresponding changes.
	* sw-gloss-arm_angel.txt: Remove mention of "halt!" pin.
	* angel.cxx (syscall_trap): Don't send trap disposition code.
	(do_readc): Signal blockedness with halted_p flag too.
	* m32r.cxx (syscall_trap): Don't send trap disposition code.
	* mips.cxx (syscall_trap): Ditto.
	(syscall_trap_p): Simplify.

2000-02-08  Frank Ch. Eigler  <fche@redhat.com>

	* compGloss.cxx (compGlossDelete): Guard against dynamic_cast after
	delete.

2000-01-31  Mary Lynn Kostash  <mkostash@redhat.com>

	* sw-gloss-arm_angel.txt: Minor rewording.

2000-01-25  Frank Ch. Eigler  <fche@redhat.com>

	* Makefile.in: Regenerated.

2000-01-17  Frank Ch. Eigler  <fche@cygnus.com>

	* gloss.cxx (gloss32 ctor): Add component-gui reference attribute to
	"hw-visual-tty".
	* sw-gloss-arm_angel.txt: Document it.

2000-01-12  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-29  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.am: Install sw-gloss-arm_angel.txt.
	* Makefile.in: Regenerated.

1999-12-28  Frank Ch. Eigler  <fche@cygnus.com>

	* sw-gloss-arm_angel.txt: Reworked according to template.

1999-12-16  Mary Lynn Kostash  <mkostash@cygnus.com>

	* sw-gloss-arm_angel.txt: Reworded Environment section for clarity.

1999-12-09  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-08  Faisal Khoja  <fkhoja@cygnus.com>

	* Makefile.in: Regenerated.

1999-12-08  Ben Elliston  <bje@cygnus.com>

	* sw-gloss-arm_angel.txt: Update "relate" command usage.

1999-12-07  Frank Ch. Eigler  <fche@cygnus.com>

	* sw-gloss-arm_angel.txt: New file.  Contents from old
	* README: Deleted.
	* Makefile.am: Install new file.
	* Makefile.in: Regenerated.

1999-11-26  Frank Ch. Eigler  <fche@cygnus.com>

	* gloss.cxx (trap_pin_handler): Emulate system calls first, only
	afterward dispatch to trap chain.

1999-11-23  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (arm_angel, do_write): Don't call sid_breakpoint.
	* compGloss.cxx (compGlossDelete): Use dynamic_cast<>.
	* gloss.cxx (ctor): Initialize member pointers.
	(trap_pin_handler): Don't call sid_breakpoint.

1999-11-19  Frank Ch. Eigler  <fche@cygnus.com>

	* gloss.h (trap_type_ipin, trap_type_opin): New members; forks of
	trap_type_pin.
	(trap_type_chain_ipin, trap_type_chain_opin): Ditto.
	(halt_ipin, halt_opin): Ditto.
	* angel.cxx (*): Drive new *opin's, sense new *ipin's.
	* m32r.cxx (*): Ditto.
	* mips.cxx (*): Ditto.
	* gloss.cxx (*): Ditto.  Register new i/o pin pairs.

1999-11-05  Frank Ch. Eigler  <fche@cygnus.com>

	* README: Adapt to renamed stdio component.

1999-11-01  Permaine Cheung  <pcheung@cygnus.com>

	* README: Remove references to fault and fault-code pins.

1999-10-19  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx: Conditionally define mips/arm/m32r gloss component
	types.
	* Makefile.am: Conditionally build mips/arm/m32r objects.
	* Makefile.in: Regenerated.

1999-10-14  Mary Lynn Kostash  <mkostash@cygnus.com>

	* README:  Doc fixes based on review comments.

1999-10-10  Faisal Khoja  <fkhoja@cygnus.com>

	* gloss.cxx (read): Changed xfr_type to unsigned.
	(write): Likewise.
	(lseek): Explicitly cast seek_type to int.
	* hostops.cxx (open_flags_to_host): Add a comment.

1999-10-08  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (set_int_result): Take value, not const-ref.
	(set_error_result, set_host_error_result): Same.
	* angel.h (*): Corresponding changes.
	* gloss.cxx (reset_pin_handler, rx_handler, set_word): Same.
	(trap_pin_handler, halt_pin_handler): Same.
	* gloss.h (*): Corresponding changes.
	* m32r.cxx (set_int_result, set_error_result): Same.
	* m32r.h (*): Corresponding changes.
	* mips.cxx (set_int_result, set_error_result): Same.
	* mips.h (*): Corresponding changes.

1999-09-27  Frank Ch. Eigler  <fche@cygnus.com>

	* gloss.cxx (arm_angel ctor): Don't sid_breakpoint on __CYGWIN__.
	(do_write0): Ditto.

1999-09-27  Doug Evans  <devans@casey.cygnus.com>

	* gloss.h (int32,uint32,address32,size32,offset32,int64,uint64,
	address64,size64,offset64): Move to ...
	* hostops.h: ... here.  Delete types size_type,offset_type.
	* hostops.cxx: #include <sidtypes.h>.
	(hostops::*): Replace size_type with size32.  Replace offset_type
	with offset32.
	(hostops::read32): Renamed from read.  All callers updated.
	(hostops::write32): Renamed from write.  All callers updated.
	(hostops::lseek32): Renamed from lseek.  All callers updated.
	(hostops::getsize32): Renamed from getsize.  All callers updated.
	* gloss.cxx: Delete redundant using::host_int_4.
	#include <errno.h>.
	(gloss32::*): Replace size_t with size32.  Replace size_type with
	size32.

1999-09-27  Frank Ch. Eigler  <fche@cygnus.com>

	* mips.cxx (syscall_trap): Signal rc|sigNone on exit.

1999-09-27  Ben Elliston  <bje@cygnus.com>

	* README (sw-gloss-arm/angel): Add missing details.

1999-09-25  Doug Evans  <devans@casey.cygnus.com>

	Add beginnings of mips idt support.
	Move common code from angel.{h,cxx} to gloss.{h,cxx}.
	* hostops.h: New file.
	* hostops.cxx: New file.
	* mips.h: New file.
	* mips.cxx: New file.
	* newlib.cxx: New file.
	* libgloss.h: New file.
	* gloss.cxx: New file.
	* angel.cxx: Rewrite.
	* angel.h: Rewrite.
	* compGloss.cxx: Rewrite.
	* gloss.h: Rewrite.
	* m32r.cxx: Rewrite.
	* m32r.h: Rewrite.
	* newlib.h (newlib::errors): Add eAgain.
	(host_to_target_errno): Declare.
	* Makefile.am (libgloss_la_SOURCES): Add gloss.cxx, hostops.cxx,
	newlib.cxx, mips.cxx.
	* Makefile.in: Rebuild.

1999-09-15  Frank Ch. Eigler  <fche@cygnus.com>

	* newlib.h (sigNone): New enum.
	* angel.cxx (do_report_exception): Report an exit as newlib::sigNone.

1999-09-13  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx, angel.h, m32r.cxx (*): Use host_int_X, not compiler_int_X.

1999-08-24  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.in: Regenerated.

1999-08-20  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.h: Use sidutil::endian instead of sid::endian.
	* angel.cxx (*): Ditto.
	(update_endian): Convert from cpu attribute more robustly.

1999-08-16  Ian Carmichael  <iancarm@cygnus.com>

	* angel.cxx: sid::component members renamed.
	* m32r.cxx: sid::component members renamed.

1999-08-13  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component ctor): Rename `verbose' attribute to
	`verbose?'.
	(angel_component::rx_handler): Remove debugging output.
	(angel_component::do_open): Likewise.
	* README: Update documentation.

	* Makefile.am (DEJAGNUTESTS): Define.
	(checkme): New target.
	* Makefile.in: Regenerate.

1999-08-11  Ian Carmichael  <iancarm@cygnus.com>

	* angel.cxx, m32r.cxx: (*) Change big_int_N and
	little_int_N so that the default operations all use
	their integer values.

1999-08-10  Frank Ch. Eigler  <fche@cygnus.com>

	* README: Updated for cfgroot pin name changes.

1999-08-09  Frank Ch. Eigler  <fche@cygnus.com>

	* hellotest.conf.in: Zapped.
	* hellotest.c: Removed.

Wed Aug  4 09:32:27 1999  Faisal Khoja  <fkhoja@cygnus.com>

	* angel.h: Proper namespace format.
	* angel.cxx: Likewise

1999-08-03  Faisal Khoja  <fkhoja@cygnus.com>

	* gloss.h: Preferred namespace usage. Include sidso.h.
	* compGloss.cxx: Do not include sidso.h.

1999-07-27  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component ctor): verbose, heap-base,
	heap-limit, stack-base, stack-limit, command-line attributes are
	settings.

1999-07-27  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (fault_pin, fault_code_pin): Removed.
	(trap_type_chain_pin, trap_code_chain_pin): Added.
	(trap_pin_handler): Dispatch traps to handler chain first.
	Dispatch cpu_trap_invalid_insn and cpu_trap_memory_fault.
	(invalid_insn_trap, memory_fault_trap): Move & tweak.
	* angel.h: Corresponding declaration changes.

1999-07-05  Frank Ch. Eigler  <fche@cygnus.com>

	* testsuite: Removed directory.
	* Makefile.am (SUBDIRS): Don't recurse into it.
	* Makefile.in: Regenerated.
	* acconfig.h: Removed.
	* aclocal.m4: Ditto.
	* config.in: Ditto.
	* configure: Ditto.
	* configure.in: Ditto.
	* stamp-h.in: Ditto.

1999-06-25  Ben Elliston  <bje@cygnus.com>

	* README: New file.

1999-06-15  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (getString): Adjust bus API call.
	(setString): Ditto.
	(do_write0): Ditto.
	(do_writec): Ditto.
	(getWord): Use new bus API calls.  Accept more bus::status
	return types.
	(setWord): Ditto.

1999-06-09  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx (compGlossDelete): New function.
	(gloss_component_library): Register it.

1999-06-08  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx (compGlossListTypes, compGlossCreate):
	Renamed types "m32r-gloss" -> "sw-gloss-m32r",
	"arm-angel" -> "sw-gloss-arm/angel".
	* hellotestconf.in: Updated with new component type names.

1999-05-30  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component::halt_pin): New member.
	(angel_component::resume_handler): New member.
	* angel.cxx (angel_component ctor): Add `halt!' pin.
	(angel_component::resume_handler): New method; restart a trap.
	(angel_component::do_readc): Block the CPU when necessary.
	(angel_component::do_read): Likewise.

1999-05-29  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component::rx_pin): New member.
	(angel_component::tx_pin): Likewise.
	(angel_component::rx_handler): Likewise.
	(angel_component::rxBuffer): Likewise.
	* angel.cxx (angel_component ctor): Add tx and rx pins for I/O.
	(angel_component::rx_handler): New method.
	(angel_component::do_readc): Use rx pin, not stdin.
	(angel_component::do_read): Likewise.
	(angel_component::do_writec): Use tx pin, not stdout.
	(angel_component::do_write): Likewise.
	(angel_component::do_write0): Likewise.

1999-05-24  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::do_get_cmdline): Null terminate the
	command line string.
	(angel_component::do_iserror): Bug fix.
	(angel_component::do_istty): Proper error handling when bad file
	descriptors are passed.
	(angel_component::do_tmpnam): Null terminate the filename. Set
	result code correctly.
	(angel_component::do_read): Bug fix. Actually store the incoming
	characters in memory!
	(angel_component::do_flen): Return -1, not 1, on error.
	(angel_component::do_close): Downcast the output file pointer to
	the correct type. Bug fix.
	(angel_component::do_open): Re-worked. Bug fixes.

	* newlib.h (newlib::errors): Add eNoEnt enumeration.

1999-05-18  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component::cpu): New member. Rename from
	`target_component'.
	* angel.cxx: Apply throughout. Rename unirelation to `cpu'.

1999-05-17  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component::commandLine): New member.
	* angel.cxx (angel_component::angel_component): Add new attribute
	"command-line".
	(angel_component::do_get_cmdline): Use it.

1999-05-13  Frank Ch. Eigler  <fche@cygnus.com>

	* aclocal.m4: Regenerated.

1999-05-11  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (syscall_trap): Allay minor warnings.
	(do_write): Ditto.
	* compGloss.cxx (trap_pin_handler): Ditto.
	* m32r.cxx (setErrorResult): Return true.

1999-05-10  Doug Evans  <devans@casey.cygnus.com>

	* angel.h (angel_component): New members endian,update_endian.
	* angel.cxx (angel_component::update_endian): New method.
	(angel_component::getWord): Handle either endian.
	(angel_component::setWord): Ditto.
	(angel_component::trap_pin_handler): Update endian before handling
	trap.
	(angel_component::fault_pin_handler): Ditto.

1999-05-07  Doug Evans  <devans@casey.cygnus.com>

	* angel.h (angel_component): New members fault_pin,fault_code_pin.
	New methods getPC,syscall_trap,invalid_insn_trap,memory_fault_trap,
	fault_pin_handler.
	* angel.cxx: Include sidcpuutil.h.
	(angel_component::angel_component): Initialize fault_pin.
	Add pins "fault", "fault-code".
	(angel_component::getPC): New method.
	(angel_component::syscall_trap): New method.
	(angel_component::trap_pin_handler): Use it.  Set pin to
	sidutil::cpu_trap_handled when finished.
	(angel_component::fault_pin_handler): New method.
	(angel_component::invalid_insn_trap): New method.
	(angel_component::memory_fault_trap): New method.

1999-05-04  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx	(gloss_component_library): DLLEXPORT it.
	* configure.in: Be win32-dll-capable.
	* configure: Regenerated.
	* config.in: Ditto.
	* aclocal.m4: Regenerated for new libtool.
	* Makefile.in: Ditto.

	* hellotest.conf.in: Use .la component DSO names.

1999-05-04  Ben Elliston  <bje@cygnus.com>

	* Makefile.am (SUBDIRS): Add.
	* Makefile.in: Regenerate.
	* configure.in (AC_CONFIG_SUBDIRS): Add `testsuite'.
	* configure: Regenerate.

1999-05-03  Doug Evans  <devans@casey.cygnus.com>

	* angel.cxx (do_write0): Increment ptr after each character.

1999-05-01  Ron Unrau  <runrau@cygnus.com>

	* hellotest.conf.in: don't specify wait states for memory

1999-04-27  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::do_open): The magic filename for
	standard I/O is ":tt", not "tt:". Thinko.

1999-04-26  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component::do_get_cmdline): New method.
	* angel.cxx (angel_component::do_get_cmdline): Implement. Update
	callers. Incorporate devans' change from yesterday.
	(angel_component ctor): Rename `verbose?' attribute to `verbose'.
	(angel_component::do_write): Bug fix. Return -1 in R0 when a bad
	file handle is passed (the documentation was not clear).

1999-04-25  Doug Evans  <devans@casey.cygnus.com>

	* angel.h (angel_component::syscall_trap_p): Renamed from in_trap.
	* angel.cxx (angel_component::syscall_trap_p): Ditto.  All callers
	updated.  Only return true if in a system call trap.
	(angel_component::trap_pin_handler, case syscall_get_cmdline): Argument
	is pointer to pointer to buffer.

1999-04-21  Frank Ch. Eigler  <fche@cygnus.com>

	* Makefile.am (LDFLAGS): Add -no-undefined
	* Makefile.in: Regenerated.

	* angel.cxx: #include <errno.h>.

1999-04-20  Ben Elliston  <bje@cygnus.com>

	* angel.h (angel_component): Add syscall_report_exception.
	(angel_component): Enumerate runtime exceptions.
	(angel_component::process_signal_pin): New pin.
	(angel_component::do_report_exception): Declare.
	* angel.cxx (angel_component::angel_component): Add new pin.
	(angel_component::trap_pin_handler): Handle the new syscall.
	(angel_component::do_report_exception): New method.

1999-04-19  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::do_open): Bug fix when reading a
	filename from memory. Assign handles from 0, not 1. This is the
	behaviour of the ARMulator, but contradicts the Angel reference
	documentation.

1999-04-17  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::angel_component): Relocate stack.

1999-04-15  Frank Ch. Eigler  <fche@cygnus.com>

	* angel.cxx (getWord, setWord): Change idioms for modified
	endianness conversion types.
	(*) Stop using already implied sid:: namespace prefix.

1999-04-15  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::angel_component): Do not open any
	file handles; the C library will establish stdin, stdout and
	stderr.
	(angel_component::do_open): Check for the magic filename "tt:" as
	being the file which should map to stdin, stdout and stderr.
	(angel_component::getWord): Deal with endianness of fetched words.
	(angel_component::setWord): Likewise, for stored words.

1999-04-12  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in: Look for time-related headers, wanting clock_t.
	* configure: Regenerated.
	* angel.h: Include time-related headers conditionally.
	* angel.cxx: Include "config.h".
	* m32r.cxx: Include "config.h".
	* compGloss.cxx: Include "config.h".
	* config.in: Regenerated.

1999-04-13  Ben Elliston  <bje@cygnus.com>

	* angel.cxx (angel_component::do_heapinfo): R1 points to a pointer
	to an argument block, not the argument block itself.

1999-04-12  Ben Elliston  <bje@cygnus.com>

	* angel.h: New file; for the ARM Angel monitor.
	* angel.cxx: Likewise.
	* compGloss.cxx (compGlossListTypes): Add "arm-angel".
	(compGlossCreate): Handle "arm-angel".
	* Makefile.am (libgloss_la_SOURCES): Add angel.cxx.
	* Makefile.in: Regenerate.

	* gloss.h (libgloss_component::newlib_errno): Remove.
	(libgloss_component::newlib_signal): Likewise.
	Remove #ifdef guard for __cplusplus.
	* newlib.h: New file; constants for newlib.
	* compGloss.cxx (libgloss_component::trap_pin_handler): Use them.

1999-04-08  Ben Elliston  <bje@cygnus.com>

	* compGloss.cxx (libgloss_component): Move class declaration to
	gloss.h. Include it.
	(m32r_libgloss_component): Move class declaration to
	m32r.h. Include it.
	(m32r_libgloss_component::*): Move method bodies to m32r.cxx.
	* gloss.h: New file; split out from compGloss.cxx.
	* m32r.h: Likewise.
	* m32r.cxx: Likewise.
	* Makefile.am (libgloss_la_SOURCES): Add m32r.cxx.
	* Makefile.in: Regenerate.

1999-04-03  Ron Unrau  <runrau@cygnus.com>

	* compGloss.cxx: swap addr<->data in bus::read and bus::write

1999-03-29  Ben Elliston  <bje@cygnus.com>

	* compGloss.cxx (class libgloss_component): Reorder public,
	protected and private access levels in class definition.
	(libgloss_component::libgloss_component): Do not inline; move
	method body outside class definition.
	(libgloss_component::~libgloss_component): Remove.

1999-03-24  Frank Ch. Eigler  <fche@cygnus.com>

	* configure.in: Use new AC_CONFIG_AUX_DIR.
	* configure: Regenerated.
	* Makefile.am: Build libtool -modules.
	* Makefile.in: Regenerated.

1999-03-16  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx: Adapt to renamed COMPONENT_LIBRARY_MAGIC macro.
	Switch to sidutil::callback_pin only.  Adapt to changed
	sid::pin::driven(...) signature.

1999-03-10  Ron Unrau  <runrau@cygnus.com>

	* compGloss.cxx: incorporate revised pin API

1999-03-08  Frank Ch. Eigler  <fche@cygnus.com>

	* hellotest.conf.in: New file, replaces
	* hellotest.conf: Deleted file.
	* configure.in: Adapt to above change.
	* Makefile.in: Rebuilt.
	* configure: Rebuilt.

1999-03-05  Frank Ch. Eigler  <fche@cygnus.com>

	* compGloss.cxx: New file: LIBGLOSS process emulation.
	* Makefile.am: New file.
	* configure.in: New file.
	* stamp-h.in: New blank file.
	* acconfig.h: New file.
	* config.in: Generated new file.
	* aclocal.m4: Generated new file.
	* Makefile.in: Generated new file.
	* configure: Generated new file.

	* hellotest.c: New file: target test program source.
	* hellotest.conf: New file: sid config to run test.
